Bug 396001 - Review Request: hyphen - a hyphenation library
Review Request: hyphen - a hyphenation library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-22 13:55 EST by Caolan McNamara
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-23 12:34:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Caolan McNamara 2007-11-22 13:55:22 EST
Spec URL: http://people.redhat.com/caolanm/hyphen/hyphen.spec
SRPM URL: http://people.redhat.com/caolanm/hyphen/hyphen-2.3-1.fc9.src.rpm

Description: "hyphen" is the hyphenation library split out of OpenOffice.org, having a separate package allows us to update it in isolation from OOo and gives a basis for then including hyphenation rules that are not current part of OOo but are desirable e.g. swedish rules.
Comment 1 Parag AN(पराग) 2007-11-22 23:08:06 EST
I don't see any use of having Requires: pkgconfig as this package does not
install any .pc file.
Comment 2 Caolan McNamara 2007-11-23 04:07:17 EST
Sure, updated that little niggle as

Spec URL: http://people.redhat.com/caolanm/hyphen/hyphen.spec
SRPM URL: http://people.redhat.com/caolanm/hyphen/hyphen-2.3-2.fc9.src.rpm
Comment 3 Parag AN(पराग) 2007-11-23 05:29:15 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
f0a2f9368253850b1b29e45bbc780f1f  hyphen-2.3.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ ldconfig scriptlets are used.
+ Package hyphen-2.3-2.fc9 ->
  Provides: libhyphen.so.0
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libhyphen.so.0
+ Package hyphen-devel-2.3-2.fc9 ->
  Requires: /usr/bin/perl hyphen = 2.3-2.fc9 libhyphen.so.0
+ Not a GUI app.

APPROVED.
Comment 4 Caolan McNamara 2007-11-23 05:35:34 EST
New Package CVS Request
=======================
Package Name: hyphen
Short Description: A hyphenation library
Owners: caolanm
Branches: devel
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2007-11-23 11:43:07 EST
cvs done.
Comment 6 Caolan McNamara 2007-11-23 12:34:01 EST
Thanks mate for the quick review, I appreciate the turnaround.

Note You need to log in before you can comment on or make changes to this bug.